# RatingBuster

## [1.16.0](https://github.com/raethkcj/RatingBuster/tree/1.16.0) (2024-03-19)
[Full Changelog](https://github.com/raethkcj/RatingBuster/compare/1.15.4...1.16.0) [Previous Releases](https://github.com/raethkcj/RatingBuster/releases)

- Add alternative Vanilla Feral AP spell  
- Handle short GlobalPatterns before longs (fixes block value)  
- Autogenerate StatLogic locales 🎉 (#177)  
- Autogenerate StatLogic locales 🎉 (Closes #175)  
- Separate SpellPower when parsing gems  
- Default to false for extraneous numbers  
- Properly sort fives for mana/health regen  
- Handle fetch errors  
- Add Cata to StatLocaleData  
- Implement gem parsing  
- Prep for parsing gems  
- Update StatIDLookup note  
- Flatten async returns  
- Trim and lower input text  
- Implement most of StatIDLookup substitution  
- Move Atiesh to StatIDLookup  
- Implemenet lua generator and locale file writer  
- Implement combineResults  
- Lazier version fetching  
- Implement processDatabase  
- Implement DB2 fetching  
- Add vanilla agi/int conversions  
- Fix ManaRegenOutOfCombat localization  
- Remove Defense from BaseRating in Cata  
- Fix DodgePerAgi div by zero  
- Fix Cata mana regen  
- Confirm Cata BaseManaRegen  
- Add Cataclysm base armor values  
- Add vanilla agi/int conversions  
- Implement outline of GenerateStatLocales  
- Simplify locale data format  
- Set node version  
- Fix warnings in GenerateBaseArmor  
- Add GenerateStatLocales gitignore  
- Replace expansion names with majorVersions  
- Add getLatestVersion  
- Move regen tests to function  
- Fix js scopes  
- Add GenerateStatLocales  
- Add StatLocaleData  
- Fix all-resist enchants  
- Fix duplicate ZG enchant  
- Remove StripGlobalStrings  
- Move Atiesh strings to WholeText  
- Identify all remaining stats  
- Identify many sources of stat patterns  
- Remove redundant utf8lowers  
- Remove item set pattern print  
- Change PreScan to only Exclude  
- Cleanup comments  
- Move PreScan to GlobalPatterns  
- Don't use localized tonumber, commas aren't used in deDE/frFR  
- Move StatLogic 'locale' table definitions to GlobalPatterns  
- Don't log missed substitutions for prescan excludes  
- Remove all PreScan stat matches  
- Remove DeepScan  
- Remove unused exclusions  
- Remove unused mana/wizard oils  
- Remove SingleEquipStatCheck  
- Update scanning procedure comment  
- Remove SinglePlusStatCheck  
- Add vanilla agi/int conversions  
- Move lua style config to editorconfig  
